Update Project User Role
curl --request PATCH \
--url https://api.veryfront.com/projects/{project_reference}/users/{user_id}/role \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.veryfront.com/projects/{project_reference}/users/{user_id}/role"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.veryfront.com/projects/{project_reference}/users/{user_id}/role', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "[email protected]",
"project_role": "<string>",
"resolved_capabilities": [
"project.read"
],
"name": "<string>",
"avatar_src": "<string>"
}Update Project User Role
Updates a project member role. Use the ownership transfer endpoint for owner changes.
PATCH
/
projects
/
{project_reference}
/
users
/
{user_id}
/
role
Update Project User Role
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Project slug, UUID, or domain that identifies the project.
Body
application/json
Available options:
admin, editor, viewer Response
Member role updated successfully
Available options:
project.read, project.settings.manage, project.delete, project.members.read, project.members.manage, project.invites.read, project.invites.manage, project.files.read, project.files.write, project.realtime.connect, project.realtime.write, project.files.admin, project.uploads.read, project.uploads.write, project.uploads.admin, project.knowledge.read, project.knowledge.write, project.releases.read, project.releases.write, project.deployments.read, project.deployments.write, project.deploy.execute, project.runtime.manage, project.domains.write, project.environments.manage, project.env_vars.write, project.runs.read, project.runs.write, project.agents.read, project.agents.write, project.evals.read, project.evals.write, project.evals.run, project.conversations.read, project.conversations.write, project.integrations.read, project.integrations.connect, project.integrations.configure, project.api_keys.read, project.api_keys.manage, project.cache.read, project.cache.write, project.logs.read, project.metrics.read, project.resources.read